%define name kggs
%define version 1.0
%define release 3mdk

Name: %{name}
Summary: KGGS -- PLAY ONLINE REVERSI, ON GGS, WITH KDE
Version: %{version}
Release: %{release}
License: GPL
Url: http://manu.agat.net/%{name}/
Group: Games/Boards
Source: %{name}-%{version}.tar.bz2
Source10: %{name}-16.png.bz2
Source11: %{name}-32.png.bz2
Source12: %{name}-48.png.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libfam0-devel kdelibs-devel
Prefix: %{_prefix}


%description
This is a kde client to connect to GGS (Generic Game Server) to play online
against other players or bots.

%prep
%setup -n %{name}-%{version}

%build
./configure --disable-rpath
make

%install
%makeinstall
install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
bzcat %{SOURCE11} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
bzcat %{SOURCE12} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
install -d $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" icon="%{name}.png" \
needs="X11" section="Amusement/Boards" title="KGGS" \
longtitle="Play othello online" \
mimetypes="" accept_url="false" multiple_files="false"
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_bindir}/%{name}
%{_menudir}/%{name}
#%{_datadir}/apps/%{name}/icons/crystalsvg/32x32/actions/*.png
#%{_datadir}/apps/%{name}/pics/*.png
%{_datadir}/applnk/Amusement/Strategy/%{name}.desktop
%{_datadir}/apps/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%post
%{update_menus}

%postun
%{clean_menus}

%changelog
* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0-3mdk
- rebuild

* Thu Aug 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0-2mdk
- from Emmanuel Blindauer <manu (at) agat.net> :
	- removed rm -rf $RPM_BUILD_ROOT from %prep
	- added %{_datadir}/apps/%{name} as directory in the package

*  Tue May 27 2003 Emmanuel Blindauer <manu (at) agat.net> 1.0-1mdk
- first packaged version

